%define name netcdf-devel
%define version 3.6.1
%define release 0.beta3.1mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Libraries to use the Unidata network Common Data Form (netCDF)
License: distributable (see COPYRIGHT)
Source0: ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf-%{version}-beta3.tar.bz2
Source1: ftp://ftp.unidata.ucar.edu/pub/netcdf/guidec.pdf.bz2
Source2: ftp://ftp.unidata.ucar.edu/pub/netcdf/guidec.html.tar.bz2
URL: http://www.unidata.ucar.edu/packages/netcdf/index.html
Group: System/Libraries
#BuildRequires: gcc-g77
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
NetCDF (network Common Data Form) is an interface for array-oriented data
access and a freely-distributed collection of software libraries for C, 
Fortran, C++, and perl that provides an implementation of the interface.
The netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the 
creation, access, and sharing of scientific data. The netCDF software was 
developed at the Unidata Program Center in Boulder, Colorado.

NetCDF data is: 

   o Self-Describing. A netCDF file includes information about the data it
     contains. 

   o Network-transparent. A netCDF file is represented in a form that can be 
     accessed by computers with different ways of storing integers, characters,
     and floating-point numbers. 

   o Direct-access. A small subset of a large dataset may be accessed 
     efficiently, without first reading through all the preceding data. 

   o Appendable. Data can be appended to a netCDF dataset along one dimension 
     without copying the dataset or redefining its structure. The structure of 
     a netCDF dataset can be changed, though this sometimes causes the dataset 
     to be copied. 

   o Sharable. One writer and multiple readers may simultaneously access the 
     same netCDF file. 

%prep
%setup -q -n netcdf-%{version}-beta3
perl -pi -e "/^LIBDIR/ and s/\/lib/\/%_lib/g" src/macros.make.*

%build
cd src
CPPFLAGS="-DNDEBUG -Df2cFortran" \
CFLAGS="$RPM_OPT_FLAGS -fno-fast-math -Df2cFortran" \
%configure
make
make test
bzcat %{SOURCE1} > guidec.pdf
bzcat %{SOURCE2} | tar xvf -

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix} $RPM_BUILD_ROOT%{_mandir}
cd src
%makeinstall
cp -a $RPM_BUILD_ROOT%{_prefix}/man/* $RPM_BUILD_ROOT%{_mandir}
rm -rf $RPM_BUILD_ROOT%{_prefix}/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc src/COPYRIGHT src/README src/COMPATIBILITY src/COPYRIGHT src/RELEASE_NOTES src/guidec.pdf src/guidec
%{_libdir}/libnetcdf.a
%{_includedir}/netcdf.*
%{_bindir}/ncgen
%{_bindir}/ncdump
%{_mandir}/man1/ncgen.1*
%{_mandir}/man1/ncdump.1*
%{_mandir}/man3/netcdf.3*
%_includedir/ncvalues.h
%_includedir/netcdfcpp.h
%_includedir/typesizes.mod
%_libdir/libnetcdf_c++.a

%changelog
* Sun May 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.6.1-0.beta3.1mdk
- 3.6.1-beta3

* Sun May 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.5.0-7mdk
- Fix

* Wed Mar 23 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.0-6mdk
- Rebuilt.

* Thu Jan 29 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.0-5mdk
- Rebuilt.

* Tue Feb 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.0-4mdk
- Rebuilt.

* Wed Nov 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.5.0-3mdk
- Make it lib64 aware, nuke installed but unpackaged files (duplicate man)

* Wed Aug 28 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.0-2mdk
- Rebuilt.

* Sat Jun 23 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.5.0-1mdk
- included changes to SPEC file from Thomas 
  Leclerc <leclerc@leannec.univ-lyon1.fr> (updates to version 3.5.0).

* Fri Dec 22 2000 Giuseppe Ghibo' <ghibo@mandrakesoft.com> 3.4-1mdk
- mandrake rebuilt.
- more macros.
- added PDF and HTML documentation.

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be FHS compliant
- use %%makeinstall and %%configure

* Tue Mar 28 2000 Tim Powers <timp@redhat.com>
- got package for contrib on ftp.redhat.com
- started changelog
- quiet setup
- changed buildroot and group
- RPM handles gsipping man pages now, no longer needed in spec file
- cleaned up files list
- bzip source
